package ctbrec.ui.controls;

import ctbrec.ui.PauseIcon;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Cursor;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Rectangle;

public class PausedIndicator extends StackPane {

    private PauseIcon pausedIcon;
    private Rectangle clickPanel;

    public PausedIndicator(int size, Color color) {
        pausedIcon = new PauseIcon(color, size);
        pausedIcon.setVisible(false);
        clickPanel = new Rectangle(size, size);
        clickPanel.setCursor(Cursor.HAND);
        clickPanel.setFill(Paint.valueOf("#00000000"));
        getChildren().add(pausedIcon);
        getChildren().add(clickPanel);

        StackPane.setMargin(pausedIcon, new Insets(3));
        StackPane.setAlignment(pausedIcon, Pos.TOP_LEFT);
        StackPane.setMargin(clickPanel, new Insets(3));
        StackPane.setAlignment(clickPanel, Pos.TOP_LEFT);

        pausedIcon.visibleProperty().bindBidirectional(visibleProperty());
        pausedIcon.onMouseClickedProperty().bindBidirectional(onMouseClickedProperty());
        clickPanel.onMouseClickedProperty().bindBidirectional(onMouseClickedProperty());
    }
}

